#!/usr/bin/perl -w

# (c) '99 Jimbo/AEGiS Corp.
# http://www.aegis-corp.org
# jimbo@aegis-corp.org

# This little NoteServ wrapper lets you send messages to IRCNet's NoteServ
# without having to /Quote

IRC::print "\00315N\0030ote\00315S\0030erv wrapper by AEG\00310i\0030S Corp.\n";
IRC::add_command_handler("noteserv", "my_noteserv");

sub my_noteserv
{
  if (index($_[0],"help") == 0) {my_nshelp(); return 1;}
  if (index($_[0],"login") == 0) {IRC::print "\00314>\0030>\00315> \00303NoteServ \00314[\0030login\00314]\n";}
  elsif (index($_[0],"passwd") == 0) {IRC::print "\00314>\0030>\00315> \00303NoteServ \00314[\0030passwd\00314]\n";}
  else {
    $string = $_[0];
    $string =~ s/\@/\00315@\00300/g;
    $string =~ s/\!/\00315!\00300/g;
    $string =~ s/\+/\00304+\00300/g;
    $string =~ s/\-/\00304-\00300/g;
    $string =~ s/\*/\00304*\00300/g;
    IRC::print "\00314>\0030>\00315> \00303NoteServ \00314[\0030$string\00314]\n";
  }
  IRC::send_raw "SQUERY noteserv :$_[0]\r\n";
  return 1;
}

sub my_nshelp
{
 IRC::print "NoteServ Wrapper by Jimbo/AEG\00310i\0030S '99\n \00315/NOTESERV \00314<\0030command\00314> <\0030params\00314>\0030 where \00315command\0030 is:
   \00315login \00314<\0030login\00314> <\0030password\00314>\0030 : logs on NoteServ service
   \00315logout\0030 : logs off NoteServ service
   \00315passwd \00314<\0030old password\00314> <\0030new password\00314>\0030 : changes your password.
   \00315send \00314[\0030+\00314|\0030-\00314<\0030lifetime\00314>] <\0030nick\00314!\0030user\00314@\0030host\00314> <\0030msg\00314>\0030 : sends \00315msg\0030 to currently offline user
        (using the common IRC mask). It will persist until \00315-lifetime\0030 hours or 
	\00315+lifetime\0030 days (default, 7 days, set to 0 for infinite)
   \00315notify \00314[\0030+\00314|\0030-\00314<\0030lifetime\00314>] <\0030nick\00314!\0030user\00314@\0030host\00314> [\0030msg\00314]\0030 : as the common notify. The facultative
          parameter \00315msg\0030 is printed each time the user goes on/offline
   \00315ls\0030 : Displays all requests you have queued.
   \00315rm \00314[<\0030number\00314>|<\0030letter\00314>|<\0030pattern\00314>]\0030 : Deletes the entry specified by \00315number\0030 or \00315letter\0030.
      With \00315pattern\0030 it will delete all entries matching the provided pattern.
   \00315status\0030 : Displays your status and authentication method.\n";
 return 1;
}
